View Issue Details

IDProjectCategoryView StatusLast Update
0021579mantisbtbugtrackerpublic2016-08-28 01:12
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021579: Error when limit_reporters and complex report_bug_threshold
Description

Fatal error happens when limit_reporters option is ON, and report_bug_threshold is set as an array.

TagsNo tags attached.

Relationships

related to 0021580 closedcproensa in changelog, reporter user can view all bugs when limit_reporters is on 
related to 0021581 closedcproensa Workflow config page can corrupt report_bug_threshold if it's defined as an array 

Activities

cproensa

cproensa

2016-08-01 17:58

developer  

Selección_037.png (49,471 bytes)
Selección_037.png (49,471 bytes)
cproensa

cproensa

2016-08-01 18:00

developer  

Selección_038.png (9,821 bytes)
Selección_038.png (9,821 bytes)
cproensa

cproensa

2016-08-01 19:01

developer   ~0053740

https://github.com/mantisbt/mantisbt/pull/835

Related Changesets

MantisBT: master ce3608b7

2016-08-01 17:55:47

cproensa

Details Diff
Fix comparing threshold as an integer

report_bug_threshold may be an integer or an array, but a check to
see if an access level is "greater than" its value, was assuming
that this threshold was an integer value.

A new function is created to get an integer representation of a
threshold, as the minimum integer value defined in the threshold.

Fixes: 0021579
mod - bug_update_page.php Diff File
mod - core/access_api.php Diff File
mod - core/filter_api.php Diff File

MantisBT: master 98b03fde

2016-08-04 23:52:13

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/835'
mod - bug_update_page.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/filter_api.php Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-01 17:58 cproensa New Issue
2016-08-01 17:58 cproensa File Added: Selección_037.png
2016-08-01 18:00 cproensa File Added: Selección_038.png
2016-08-01 18:30 cproensa Relationship added related to 0021580
2016-08-01 19:01 cproensa Assigned To => cproensa
2016-08-01 19:01 cproensa Status new => assigned
2016-08-01 19:01 cproensa Note Added: 0053740
2016-08-01 19:46 cproensa Relationship added related to 0021581
2016-08-04 23:56 cproensa Changeset attached => MantisBT master ce3608b7
2016-08-04 23:56 cproensa Status assigned => resolved
2016-08-04 23:56 cproensa Resolution open => fixed
2016-08-04 23:56 cproensa Fixed in Version => 2.0.0-beta.2
2016-08-05 05:02 cproensa Changeset attached => MantisBT master 98b03fde
2016-08-05 05:03 cproensa Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-05 07:30 atrol Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed